%define tarball xf86-video-mga
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 mga video driver
Name:      xorg-x11-drv-mga
Version:   1.2.1.3
Release:   1.2
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/X11R7.0/src/driver/%{tarball}-%{version}.tar.bz2
Source1:   mga.xinf
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64 ia64 ppc alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk

Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 mga video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# NOTE: Intentionally remove hardware specific utilities, we generally do not
# supply these in the core OS.
rm $RPM_BUILD_ROOT%{_bindir}/stormdwg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/mga_drv.so
%{_datadir}/hwdata/videoaliases/mga.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/mga.4*

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.2.1.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.2.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.2.1.3-1
- Updated xorg-x11-drv-mga to version 1.2.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.2.1.2-1
- Updated xorg-x11-drv-mga to version 1.2.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.2.1-1
- Updated xorg-x11-drv-mga to version 1.2.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.2.0.1-1
- Updated xorg-x11-drv-mga to version 1.2.0.1 from X11R7 RC1
- Fix *.la file removal.
- Remove hardware specific {_bindir}/stormdwg utility.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.1.2-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64, ppc

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.1.2-0
- Initial spec file for mga video driver generated automatically
  by my xorg-driverspecgen script.
